# H225_LocationRequest Class Reference

`#include <h225.h>`

Inheritance diagram for H225_LocationRequest:

List of all members.

## Public Types

enum | OptionalFields { e_endpointIdentifier, e_nonStandardData, e_sourceInfo, e_canMapAlias, e_gatekeeperIdentifier, e_tokens, e_cryptoTokens, e_integrityCheckValue, e_desiredProtocols, e_desiredTunnelledProtocol, e_featureSet, e_genericData, e_hopCount, e_circuitInfo, e_callIdentifier, e_bandWidth, e_sourceEndpointInfo, e_canMapSrcAlias, e_language }

## Public Member Functions

| H225_LocationRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_EndpointIdentifier | m_endpointIdentifier
H225_ArrayOf_AliasAddress | m_destinationInfo
H225_NonStandardParameter | m_nonStandardData
H225_TransportAddress | m_replyAddress
H225_ArrayOf_AliasAddress | m_sourceInfo
PASN_Boolean | m_canMapAlias
H225_GatekeeperIdentifier | m_gatekeeperIdentifier
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ICV | m_integrityCheckValue
H225_ArrayOf_SupportedProtocols | m_desiredProtocols
H225_TunnelledProtocol | m_desiredTunnelledProtocol
H225_FeatureSet | m_featureSet
H225_ArrayOf_GenericData | m_genericData
PASN_Integer | m_hopCount
H225_CircuitInfo | m_circuitInfo
H225_CallIdentifier | m_callIdentifier
H225_BandWidth | m_bandWidth
H225_ArrayOf_AliasAddress | m_sourceEndpointInfo
PASN_Boolean | m_canMapSrcAlias
H225_LocationRequest_language | m_language

## Member Enumeration Documentation

enum H225_LocationRequest::OptionalFields

Enumerator:

  e_endpointIdentifier |
  e_nonStandardData |
  e_sourceInfo |
  e_canMapAlias |
  e_gatekeeperIdentifier |
  e_tokens |
  e_cryptoTokens |
  e_integrityCheckValue |
  e_desiredProtocols |
  e_desiredTunnelledProtocol |
  e_featureSet |
  e_genericData |
  e_hopCount |
  e_circuitInfo |
  e_callIdentifier |
  e_bandWidth |
  e_sourceEndpointInfo |
  e_canMapSrcAlias |
  e_language |

## Constructor & Destructor Documentation

H225_LocationRequest::H225_LocationRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_LocationRequest::GetDataLength | ( |  | ) | const

PBoolean H225_LocationRequest::Decode | ( | PASN_Stream & | strm | ) |

void H225_LocationRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H225_LocationRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_LocationRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H225_LocationRequest::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_LocationRequest::m_requestSeqNum

H225_EndpointIdentifier H225_LocationRequest::m_endpointIdentifier

H225_ArrayOf_AliasAddress H225_LocationRequest::m_destinationInfo

H225_NonStandardParameter H225_LocationRequest::m_nonStandardData

H225_TransportAddress H225_LocationRequest::m_replyAddress

H225_ArrayOf_AliasAddress H225_LocationRequest::m_sourceInfo

PASN_Boolean H225_LocationRequest::m_canMapAlias

H225_GatekeeperIdentifier H225_LocationRequest::m_gatekeeperIdentifier

H225_ArrayOf_ClearToken H225_LocationRequest::m_tokens

H225_ArrayOf_CryptoH323Token H225_LocationRequest::m_cryptoTokens

H225_ICV H225_LocationRequest::m_integrityCheckValue

H225_ArrayOf_SupportedProtocols H225_LocationRequest::m_desiredProtocols

H225_TunnelledProtocol H225_LocationRequest::m_desiredTunnelledProtocol

H225_FeatureSet H225_LocationRequest::m_featureSet

H225_ArrayOf_GenericData H225_LocationRequest::m_genericData

PASN_Integer H225_LocationRequest::m_hopCount

H225_CircuitInfo H225_LocationRequest::m_circuitInfo

H225_CallIdentifier H225_LocationRequest::m_callIdentifier

H225_BandWidth H225_LocationRequest::m_bandWidth

H225_ArrayOf_AliasAddress H225_LocationRequest::m_sourceEndpointInfo

PASN_Boolean H225_LocationRequest::m_canMapSrcAlias

H225_LocationRequest_language H225_LocationRequest::m_language

The documentation for this class was generated from the following file:

- h225.h